# Custom linuxmuster-mailcow
Diese Dateien sind ein quick&dirty feature-upgrade für https://github.com/linuxmuster/linuxmuster-mailcow
## Warum?
Ich wollte eine sehr einfach zu bediendende Möglichkeit, unabhängig von Schüler/Lehrer-Accounts zusätzliche 
- Mail-Adressen / Mailboxen
- Mail-Listen (Mailboxen mit Weiterleitungsfiltern)
- Alias-Adressen (mit mehr als einem Empfänger)
zu haben.

Auf die Schnelle ist mir nichts besseres eingefallen, als das syncer.py aus dem docker-image zu erweitern.
Um flexibel zu bleiben, hab ich es jetzt bei mir so gelöst, dass das Skript sowie die Dateien mit den Definitionen außerhalb des mailcow-dockerized Ordners liegen und in den Container gemounted werden.

# Wie funktioniert es?
1. Kopiere die Dateien 
  - syncer.py
  - independent_mailboxes.txt
  - independent_maillists.txt
  - independent_aliases.txt
  irgendwo in die Nähe des Ordners mailcow-dockerized
2. *Editiere die Dateien* und ersetze die Beispiele durch sinnvolle Dinge. *Stelle sicher, dass alle Dateien mind. eine Zeile enthalten.* Zur Not erfinde irgend etwas. 
3. ergänze die docker-compose.override.yml, so dass die drei Dateien in den Container nach / gemounted werden
4. docker-compose up -d

läuft... 
nach jeder Änderung muss man warten oder mit ```docker-compose restart linuxmuster-mailcow``` den Vorgang beschleunigen :)

## ## Achtung ##
Die Fehlerbehandlung ist nicht ausgereift. Stelle sicher, dass die drei independent_* Dateien korrekte Inhalte haben. 
Damit keine Postfächer aus Versehen gelöscht werden, ändert das Skript NICHTS, wenn irgendwo ein (noch so kleiner) Fehler entsteht.

Ich übernehme keine Haftung :) 
Aber bei mir läufts Produktiv und seit zwei Tagen stabil.
Trotzdem gilt wie immer: Kein Backup - Kein Mitleid ;)

